Rotate audit stream secret
Sign the next batch with a new secret, shown only in this response.
POST
Sign the next batch with a new secret, shown only in this response.
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidstream_id*Stream IdFormat
uuidSuccessful Response
application/json- response
id*IdFormat
uuidsecret*SecretThe new signing secret, shown only in this response.
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/audit-streams/497f6eca-6276-4993-bfeb-53cbbbba6f08/rotate-secret'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "secret": "string"}